function mpc = {{ mpc.case_name }}
%{{ mpc.case_name|upper }} MATPOWER case
%
% {{ mpc.comments }}

%% MATPOWER Case Format : Version 2
mpc.version = '2';

%%-----  Power Flow Data  -----%%
%% system MVA base
mpc.baseMVA = {{ '%g'|format(mpc.baseMVA) }};

%% bus data
%	bus_i	type	Pd	Qd	Gs	Bs	area	Vm	Va	baseKV	zone	Vmax	Vmin
mpc.bus = [
{% for row in mpc.bus %}
	{{ row|items_format|join('\t') }};
{% endfor -%}
];

%% generator data
%	bus	Pg	Qg	Qmax	Qmin	Vg	mBase	status	Pmax	Pmin	Pc1	Pc2	Qc1min	Qc1max	Qc2min	Qc2max	ramp_agc	ramp_10	ramp_30	ramp_q	apf
mpc.gen = [
{% for row in mpc.gen %}
	{{ row|items_format|join('\t') }};
{% endfor -%}
];

%% branch data
%	fbus	tbus	r	x	b	rateA	rateB	rateC	ratio	angle	status	angmin	angmax
mpc.branch = [
{% for row in mpc.branch %}
	{{ row|items_format|join('\t') }};
{% endfor -%}
];

%%-----  OPF Data  -----%%
%% generator cost data
%	1	startup	shutdown	n	x1	y1	...	xn	yn
%	2	startup	shutdown	n	c(n-1)	...	c0
mpc.gencost = [
{% for row in mpc.gencost %}
	{{ row|items_format|join('\t') }};
{% endfor -%}
];
